post
https://api.shasta.trongrid.io/wallet/getcontract
Queries a contract's information from the blockchain, including the bytecode of the contract, ABI, configuration parameters, etc.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Returns
For a detailed explanation of the fields, please refer to Contract Deployment and Invocation.
| Field | Type | Description |
|---|---|---|
| origin_address | string | Address of the contract creator. |
| contract_address | string | Address of the contract. |
| abi | ABI | Smart contract ABI. |
| bytecode | string | Bytecode of the smart contract. |
| call_value | int64 | Amount of TRX transferred into the contract at deployment. (Unit: sun) |
| consume_user_resource_percent | int64 | Percentage of user Energy consumption for a smart contract. (Range: [0-100]) |
| name | string | Contract name. |
| origin_energy_limit | int64 | Maximum energy from the contract deployer's stake that a single transaction is allowed to consume. (Unit: sun) |
| code_hash | string | Hash of the contract's bytecode. |